aboutsummaryrefslogtreecommitdiffstats
path: root/community/libspectre/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/libspectre/APKBUILD')
-rw-r--r--community/libspectre/APKBUILD24
1 files changed, 11 insertions, 13 deletions
diff --git a/community/libspectre/APKBUILD b/community/libspectre/APKBUILD
index 6899741fbd..ebd0c45399 100644
--- a/community/libspectre/APKBUILD
+++ b/community/libspectre/APKBUILD
@@ -8,19 +8,15 @@ pkgdesc="A small library for rendering Postscript documents"
url="http://www.freedesktop.org/wiki/Software/libspectre"
arch="all"
license="GPL-2.0"
-# file, cairo-dev for tests only
-makedepends="ghostscript-dev doxygen graphviz cairo-dev file"
+makedepends="ghostscript-dev doxygen graphviz"
+checkdepends="cairo-dev file"
subpackages="$pkgname-dev $pkgname-doc"
source="https://libspectre.freedesktop.org/releases/$pkgname-$pkgver.tar.gz
- test.ps"
+ test.ps
+ "
builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
- update_config_sub | true
- default_prepare
-}
-
build() {
cd "$builddir"
./configure \
@@ -42,7 +38,8 @@ package() {
doc() {
mkdir -m 0755 -p "$subpkgdir"/usr/share/doc/libspectre
- install -m 0644 "$builddir"/doc/html/* "$subpkgdir"/usr/share/doc/libspectre/
+ install -m 0644 "$builddir"/doc/html/* \
+ "$subpkgdir"/usr/share/doc/libspectre/
}
check() {
@@ -51,10 +48,11 @@ check() {
mkdir work
./parser-test "$srcdir/test.ps" work
./spectre-test "$srcdir/test.ps" work
- file work/output.ps | grep -q "PostScript document text conforming DSC level 3.0, Level 2"
- file work/output.pdf | grep -q "PDF document, version 1.5"
- file work/document.png | grep -q "PNG image data"
- rm -r work
+ file work/output.ps |
+ grep -q "PostScript document text conforming DSC level 3.0, Level 2" || \
+ error "Failed PostScript test"
+ file work/output.pdf | grep -q "PDF document, version 1.7" || error "Failed PDF test"
+ file work/document.png | grep -q "PNG image data" || error "Failed png test"
}
sha512sums="ebbe7f6adcbc7f7d6af61f24e23b114116c878755dbe90f1163546c1284a005b4d539be01986c1f940611e84141ca19768b8effc2abf1013606da7c93547da86 libspectre-0.2.8.tar.gz